/*
 * This file is a part of CMSLU -- Content Management System like Unix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008-2009, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfilecmslucoresessionparser
#define headerfilecmslucoresessionparser

#include <fstream>
#include <string>
#include "session.h"
#include "sessioncontainer.h"

class SessionParser
{
public:

	bool Parse(const char * path, SessionContainer & container);
	bool Parse(const std::string & path, SessionContainer & container);


private:

	bool Parse(SessionContainer & container);
	bool MakeSession(long user_id);

	bool IsWhite(int c);
	bool IsDigit(int c);
	void SkipWhite();
	void SkipLine();

	long ReadLong();

	std::ifstream file;
	int last; // last character
	Session session;

};


#endif

